Not able to Start Alfresco digital Workspace platform.

cancel
Showing results for 
Search instead for 
Did you mean: 
Ranjith-gade_23
Member II

Not able to Start Alfresco digital Workspace platform.

When we are configuring the Alfresco Digital Workspace, in my local , i am getting the below error.
I installed all required softwares related to npm and angular, still I am getting this error.
Please help me.

---------------

ng -nx serve "content-ee"

Project extension with invalid name (generators) found.
Project extension with invalid name (tags) found.
Project extension with invalid name (configFilePath) found.
Project extension with invalid name (tags) found.
Project extension with invalid name (configFilePath) found.
Project extension with invalid name (generators) found.
Project extension with invalid name (generators) found.
Project extension with invalid name (tags) found.
Project extension with invalid name (implicitDependencies) found.
Project extension with invalid name (configFilePath) found.
Project extension with invalid name (generators) found.
Project extension with invalid name (tags) found.
Project extension with invalid name (implicitDependencies) found.
Project extension with invalid name (configFilePath) found.
Project extension with invalid name (tags) found.
Project extension with invalid name (configFilePath) found.
Project extension with invalid name (tags) found.
Project extension with invalid name (configFilePath) found.
Project extension with invalid name (tags) found.
Project extension with invalid name (configFilePath) found.
Project extension with invalid name (tags) found.
Project extension with invalid name (configFilePath) found.
Project extension with invalid name (tags) found.
Project extension with invalid name (configFilePath) found.
Project extension with invalid name (tags) found.
Project extension with invalid name (configFilePath) found.
Project extension with invalid name (tags) found.
Project extension with invalid name (configFilePath) found.
Project extension with invalid name (tags) found.
Project extension with invalid name (configFilePath) found.
Project extension with invalid name (tags) found.
Project extension with invalid name (configFilePath) found.
An unhandled exception occurred: Cannot read property 'split' of undefined
See "/tmp/ng-2Gy6cf/angular-errors.log" for further details.
npm ERR! code ELIFECYCLE
npm ERR! syscall spawn
npm ERR! file sh
npm ERR! errno ENOENT
npm ERR! alfresco-content-ee-apps@7.1.0-M15.2 start: `ng -nx serve "content-ee"`
npm ERR! spawn ENOENT
npm ERR!
npm ERR! Failed at the alfresco-content-ee-apps@7.1.0-M15.2 start script.
npm ERR! This is probably not a problem with npm. There is likely additional logging output above.

npm ERR! A complete log of this run can be found in:
npm ERR! /root/.npm/_logs/2022-11-01T21_00_40_498Z-debug.log

7 Replies
tmeedend_adv
Member II

Re: Not able to Start Alfresco digital Workspace platform.

Hi,

I am having the same problem. I tried both on Linux and Windows, each time with different errors.

And I have no support from Alfresco even if I have a licence for the Enterprise version. They just answer that they don’t support developpement on this platform ... How can we switch to ADW if we don’t have any support ?? And there is also no updated documentation.

So now I am working on ACA, it works I can build and run it ...

tmeedend_adv
Member II

Re: Not able to Start Alfresco digital Workspace platform.

I forgot, they answered that ADW is not meant to be compiled on Windows, only Linux. Nowing that at leat 90% of users are on Windows, very good choice to encourage people developing on it !

denys
Member II

Re: Not able to Start Alfresco digital Workspace platform.

If you are familiar with modern Angular development, many projects are compiled on Linux, for Windows you have even the WSL: https://learn.microsoft.com/en-us/windows/wsl/about.

What 90% of users are we talking about here? Once you compile the app the users consume it via the browser regardless of the platform.

Please elaborate on the issue, give more details and logs on what you get and how to reproduce it. No need attacking everyone just because you can't run the Nx command on your Windows machine.

tmeedend_adv
Member II

Re: Not able to Start Alfresco digital Workspace platform.

Even if we talk about the developper population, I would say that there is easily more than 50% of them on Windows.

But ok, let’s try to use WSL. Did you ever tried to lunch ACA with run.bat build_start + the front with WSL ? Your computer is literraly burning. I have 16GB of RAM and it’s not enough.

But anyway I tried both on a standard Linux and WSL. 

On Linux I did : 

  • unzip source code alfresco-digital-workspace-2.9.1-source-code.zip
  • Download of last version of NPM and node with their official repository and add it to my PATH
  • npm ci
  • npm start content-ee --> an error occurs:  a-tmeedendorp@adv220seplnx01:~/test-adw$ npm start content-ee

alfresco-content-ee-apps@2.9.1 start
NODE_OPTIONS=--max_old_space_size=8192 ${NG_CLI:-nx} serve

nx run content-ee:serve
Executing prestart hook for content-ee
Running command: mkdir
Running command: mkdir
Running command: cp
Running command: /home/a-tmeedendorp/test-adw/apps/content-ee/remove-me-setup.js
Running command: ./node_modules/.bin/envsub
Running command: ./node_modules/.bin/ajv
error: /home/a-tmeedendorp/test-adw/apps/content-ee/.tmp/app.config.json: Unexpected token $ in JSON at position 363
Interpolated command: ./node_modules/.bin/ajv
Interpolated arguments: [
"validate",
"-s",
"./node_modules/@alfresco/adf-core/app.config.schema.json",
"-d",
"/home/a-tmeedendorp/test-adw/apps/content-ee/.tmp/app.config.json",
"--errors=text",
"--verbose"
]

 

On WSL (I installed Ubuntu through Microsoft Store) : 

Did the same, unzip sources, download node and npm. and run npm ci as written in the README.md. I tried it again just now on ADW 3.0 sources. It starts to build and download and then I have hundreds of errors like this: 

npm WARN tar TAR_ENTRY_ERROR UNKNOWN: unknown error, open '\\wsl$\Ubuntu\home\theo\adw3\node_modules\os-locale\node_modules\execa\license'
npm WARN tar TAR_ENTRY_ERROR UNKNOWN: unknown error, open '\\wsl$\Ubuntu\home\theo\adw3\node_modules\nx\node_modules\restore-cursor\index.js'
npm WARN tar TAR_ENTRY_ERROR UNKNOWN: unknown error, open '\\wsl$\Ubuntu\home\theo\adw3\node_modules\nx\node_modules\is-fullwidth-code-point\index.js'
npm WARN tar TAR_ENTRY_ERROR UNKNOWN: unknown error, open '\\wsl$\Ubuntu\home\theo\adw3\node_modules\nx\node_modules\jsonfile\utils.js'
npm WARN tar TAR_ENTRY_ERROR UNKNOWN: unknown error, open '\\wsl$\Ubuntu\home\theo\adw3\node_modules\nx\node_modules\has-flag\index.js'
npm WARN tar TAR_ENTRY_ERROR UNKNOWN: unknown error, open '\\wsl$\Ubuntu\home\theo\adw3\node_modules\nx\node_modules\cli-cursor\index.js'
npm WARN tar TAR_ENTRY_ERROR UNKNOWN: unknown error, open '\\wsl$\Ubuntu\home\theo\adw3\node_modules\npm-pick-manifest\node_modules\npm-package-arg\package.json'
npm WARN tar TAR_ENTRY_ERROR UNKNOWN: unknown error, write
npm ERR! code EBADF
npm ERR! syscall write
npm ERR! errno -4083
npm ERR! EBADF: bad file descriptor, write

npm ERR! A complete log of this run can be found in:
npm ERR! C:\Users\tmeedendorp\AppData\Local\npm-cache\_logs\2022-11-10T14_37_20_067Z-debug-0.log

So yes even on Linux I don’t manage to make it works. And I don’t see anything on the documentation about WSL.  It’s not obvious that of course we should not use Windows to compile it, especially since it works for ACA.

Thank you

denys
Member II

Re: Not able to Start Alfresco digital Workspace platform.

error: /home/a-tmeedendorp/test-adw/apps/content-ee/.tmp/app.config.json: Unexpected token $ in JSON at position 363

that error usually means that you are having invalid app.config.json file, usually it's related to missing .env file or environment variables. could you please check the file and see what's there on the position 363? and which variable was not substituted?

tmeedend_adv
Member II

Re: Not able to Start Alfresco digital Workspace platform.

I cannot reproduce this error anymore as I was testing on a real Linux server machine.

My only option now is WSL on Windows. I suspected something wrong on the Ubuntu app, so I started an Ubuntu container inside docker and tried again to compile the ADW-3.0.

I don’t have the same error now. It’s about a remote branch which doesn’t exist: (I did a npm ci)

Done compiling TypeScript files for project "monorepo-builders".

> NX Successfully ran target build for project monorepo-builders and 2 task(s) it depends on (8s)

Running postinstall scripts for all of the projects, which has it
Executing postinstall hook for content-ee
Running command: /root/adw/apps/content-ee/scripts/remove-me-update-core.sh
Getting ACA: 3.0.0
Cloning into './apps/content-ce'...
warning: Could not find remote branch 3.0.0? to clone.
fatal: Remote branch 3.0.0? not found in upstream origin
Interpolated command: /root/adw/apps/content-ee/scripts/remove-me-update-core.sh
Interpolated arguments: []
Command exited with code 128
Error: Command exited with code 128
at HookExecutionEnvironment.invokeCommand (/root/adw/libs/monorepo/core/src/lib/hook-execution-environment.ts:44:19)
at /root/adw/libs/monorepo/core/src/lib/project-metadata.ts:73:38
at Array.forEach (<anonymous>)
at ProjectMetadata.triggerHook (/root/adw/libs/monorepo/core/src/lib/project-metadata.ts:73:14)
at /root/adw/libs/monorepo/core/src/lib/monorepo.controller.ts:38:33
at Array.forEach (<anonymous>)
at Function.triggerHookOnEveryProject (/root/adw/libs/monorepo/core/src/lib/monorepo.controller.ts:36:14)
at PostInstallCommand.<anonymous> (/root/adw/tools/monorepo/commands/postinstall/index.ts:81:28)
at Generator.next (<anonymous>)
at fulfilled (/root/adw/node_modules/tslib/tslib.js:115:62)
npm ERR! code 1
npm ERR! path /root/adw
npm ERR! command failed
npm ERR! command sh -c -- node ./decorate-angular-cli.js && ngcc --properties es2020 browser module main && npm run postinstall-monorepo

npm ERR! A complete log of this run can be found in:
npm ERR! /root/.npm/_logs/2022-11-10T16_43_02_304Z-debug-0.log


Any idea?

Thank you

 

denys
Member II

Re: Not able to Start Alfresco digital Workspace platform.

The error message says it all:

"Cloning into './apps/content-ce'...
warning: Could not find remote branch 3.0.0? to clone.
fatal: Remote branch 3.0.0? not found in upstream origin"

Your docker container probably does not have networking? As per installation, it clones the ACA from the github repository based on the tag from the .env file. Tags 3.0.0 and newer 3.1.0 are public (https://github.com/Alfresco/alfresco-content-app/releases/tag/3.0.0)